catalog.product.publish_bulk
Publish many products into a store in ONE transaction (all-or-nothing; already-published ones are skipped).
- Scope:
catalog.product.publish - System: no
- Reachable from:
POST /v1/commands/catalog.product.publish_bulk(tenant credential) · MCP toolcatalog.product.publish_bulk· SDKclient.call('catalog.product.publish_bulk', …) - Events:
catalog.product.published
Input (JSON Schema)
Section titled “Input (JSON Schema)”{ "properties": { "product_ids": { "items": { "minLength": 1, "type": "string" }, "maxItems": 1000, "minItems": 1, "type": "array" }, "store_id": { "minLength": 1, "type": "string" } }, "required": [ "product_ids", "store_id" ], "type": "object"}Result (200)
Section titled “Result (200)”{ "additionalProperties": false, "properties": { "published": { "maximum": 9007199254740991, "minimum": -9007199254740991, "type": "integer" }, "skipped": { "maximum": 9007199254740991, "minimum": -9007199254740991, "type": "integer" }, "store_id": { "type": "string" } }, "required": [ "store_id", "published", "skipped" ], "type": "object"}Errors
Section titled “Errors”validation_failed (400) · unauthorized (401) · forbidden (403) · conflict (409) · internal (500)